/*
								+----------------------------------+
								|                                  |
								|       ***  Torus knot  ***       |
								|                                  |
								|   Copyright  -tHE SWINe- 2007   |
								|                                  |
								|             Torus.h              |
								|                                  |
								+----------------------------------+
*/

#ifndef __TORUS_INCLUDED
#define __TORUS_INCLUDED

class CTorus {
protected:
	static const unsigned int n_vertex_num;
	static const unsigned int n_face_num;
	static const float p_vertex_list[][3];
	static const unsigned int p_face_list[][3];

public:
	static inline unsigned int n_Vertex_Num()
	{
		return n_vertex_num;
	}

	static inline unsigned int n_Face_Num()
	{
		return n_face_num;
	}

	static inline Vector3f t_Vertex(int n_index)
	{
		return Vector3f(p_vertex_list[n_index][0],
			p_vertex_list[n_index][1], p_vertex_list[n_index][2]);
	}

	static unsigned int n_VertexIndex(int n_face, int n_vertex)
	{
		return p_face_list[n_face][n_vertex];
	}
};

#endif //__TORUS_INCLUDED
